org.apache.pdfbox.multipdf

## Enum PDFMergerUtility.AcroFormMergeMode

- java.lang.Object
- - java.lang.Enum<PDFMergerUtility.AcroFormMergeMode>
  - - org.apache.pdfbox.multipdf.PDFMergerUtility.AcroFormMergeMode

All Implemented Interfaces:
  Serializable, Comparable<PDFMergerUtility.AcroFormMergeMode>

Enclosing class:
  PDFMergerUtility

    public static enum PDFMergerUtility.AcroFormMergeMode
    extends Enum<PDFMergerUtility.AcroFormMergeMode>

The mode to use when merging AcroForm between documents:

- `JOIN_FORM_FIELDS_MODE` fields with the same fully qualified name will be merged into one with the widget annotations of the merged fields becoming part of the same field.
- `PDFBOX_LEGACY_MODE` fields with the same fully qualified name will be renamed and treated as independent. This mode was used in versions of PDFBox up to 2.x.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JOIN_FORM_FIELDS_MODE`
`PDFBOX_LEGACY_MODE`

### Method Summary

All Methods Static Methods Concrete Methods
`static PDFMergerUtility.AcroFormMergeMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFMergerUtility.AcroFormMergeMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JOIN_FORM_FIELDS_MODE

    public static final PDFMergerUtility.AcroFormMergeMode JOIN_FORM_FIELDS_MODE

#### PDFBOX_LEGACY_MODE

    public static final PDFMergerUtility.AcroFormMergeMode PDFBOX_LEGACY_MODE

### Method Detail

#### values

    public static PDFMergerUtility.AcroFormMergeMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFMergerUtility.AcroFormMergeMode c : PDFMergerUtility.AcroFormMergeMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFMergerUtility.AcroFormMergeMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null